Skip to main content
POST
/
v2
/
giftcards
/
programs
/
{programId}
/
balance-check
Checkgiftcardbalance
curl --request POST \
  --url https://api.loyalty.dog/v2/giftcards/programs/{programId}/balance-check \
  --header 'Content-Type: application/json' \
  --data '
{
  "cardNumber": "<string>",
  "securityCode": "<string>",
  "captchaToken": "<string>"
}
'
{
  "id": "5eb7cf5a86d9755df3a6c593",
  "programId": "5eb7cf5a86d9755df3a6c593",
  "cardNumber": "<string>",
  "lastFourDigits": "<string>",
  "balance": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z",
  "isActive": true
}

Headers

X-Eposn-Customer-Token
string | null
X-Eposn-Merchant-Token
string | null

Path Parameters

programId
string | null
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Query Parameters

cardId
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Body

application/json
cardNumber
string
required
Maximum string length: 20
securityCode
string
required
Maximum string length: 6
captchaToken
string | null
Maximum string length: 4096

Response

Successful Response

id
string
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

programId
string
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

cardNumber
string
required
lastFourDigits
string
required
balance
string
required
status
enum<string>
required

Gift card status enumeration.

Available options:
pending,
active,
suspended,
expired,
voided,
depleted
expiresAt
string<date-time>
required
isActive
boolean
required